<?php
/**
 * The header for our theme
 *
 * @package WordPress
 * @subpackage lz-toy-store
 * @since 1.0
 * @version 0.1
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'lz-toy-store' ) ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="header">
	<div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu','lz-toy-store'); ?></a></div>
	<div class="top">
		<div class="container">
			<div class="main-top">
				<div class="row">
					<div class="col-lg-3 col-md-3 layout">
						<div class="logo">
					        <?php if( has_custom_logo() ){ lz_toy_store_the_custom_logo(); }else{ ?>
					          	<h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
					          	<?php $description = get_bloginfo( 'description', 'display' );
					          	if ( $description || is_customize_preview() ) : ?> 
			            		<p class="site-description"><?php echo esc_html($description); ?></p>
					        <?php endif; }?>
					    </div>
					</div>
					<div class="col-lg-9 col-md-9 ">
						<div class="contact-details">
							<span class="call">
								<?php if( get_theme_mod( 'lz_toy_store_call','' ) != '') { ?>
							    <i class="fas fa-phone"></i><span class="col-org"><?php echo esc_html( get_theme_mod('lz_toy_store_call',__('0123456789','lz-toy-store')) ); ?></span>
								<?php } ?>
							</span>
							<span class="call">
								<?php if( get_theme_mod( 'lz_toy_store_address','' ) != '') { ?>
								<span>|</span>
							    <i class="fas fa-map-marker-alt"></i><span class="col-org"><?php echo esc_html( get_theme_mod('lz_toy_store_address',__('Lorem Ipsum is simply dummy text of the printing and typesetting ','lz-toy-store')) ); ?></span>
								<?php } ?>
							</span>
						</div>	
						<div class="menu-section">
							<div class="row">
								<div class="col-lg-6 col-md-6">
									<div class="nav">
										<?php wp_nav_menu( array('theme_location'  => 'primary') ); ?>
									</div>	
								</div>
								<div class="col-lg-4 col-md-4">
									<span class="search-icon">
							            <?php get_search_form(); ?>
							        </span>
								</div>
								<div class="col-lg-2 col-md-2 p-0">
									<div class="cart_icon">
									 	<a href="<?php the_permalink((get_option('woocommerce_cart_page_id'))); ?>"><i class="fas fa-shopping-bag"></i><?php echo esc_html_e('SHOPPING CART','lz-toy-store'); ?></a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div> 
</div>